import 'package:flutter/material.dart';

import './models/enum_theme.dart';

class AppConfig {
  static const seedColor = const Color(0xFFD1BCF1); // 跟随网站
  static const themeMode = ThemeModeType.system;
  static const useDynamicColor = false;

  static const wideWidth = 600;

  // static const apiBaseUrl = 'http://10.0.0.2:8000/api';
  static const apiBaseUrl = 'https://www.shitangsweet.com/';


  static ColorScheme defaultLightColorScheme() =>
  ColorScheme.fromSeed(seedColor: seedColor);
  static ColorScheme defaultDarkColorScheme() =>
  ColorScheme.fromSeed(seedColor: seedColor, brightness: Brightness.dark);
}

class AppAnimationConfig {
  static const duration = const Duration(milliseconds: 300);

  static const pageViewCurve = Curves.ease;
  static const slideCurve = Curves.easeInOut;
}

class AppSharedPreferencesKey {
  static const themeMode = 'theme_mode';
  static const useDynamicColor = 'use_dynamic_color';

  static const cookieKey = 'cookie';
}